package bilds

import (
	"github.com/spf13/cobra"
)

// Version of bild's CLI, set by the compiler on release
var Version string

var CmdBild = &cobra.Command{
	Use:     "bild",
	Short:   "A collection of parallel image processing algorithms in pure Go",
	Version: Version,
}

func init() {
	CmdBild.AddCommand(createAdjust())
	CmdBild.AddCommand(createBlend())
	CmdBild.AddCommand(createBlur())
	CmdBild.AddCommand(createImgio())
	CmdBild.AddCommand(createNoise())
	CmdBild.AddCommand(createSegment())
	CmdBild.AddCommand(createHistogram())
	CmdBild.AddCommand(createChannel())
	CmdBild.AddCommand(createEffect())
}

// Execute starts the cli's root command
func Execute() {
	err := CmdBild.Execute()
	exitIfNotNil(err)
}
